<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 20, right: 5, bottom: 5, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;
	
	import { scaleLinear, scaleOrdinal} from 'd3-scale';
	import { schemeDark2 } from "d3-scale-chromatic";
  import{axisBottom} from "d3-axis";
  import{select} from "d3-selection";
	import {extent } from "d3-array";

  // Array
  const values = [
    { x: 2, y: 1, category: "cat1" },
    { x: 4, y: 2, category: "cat3" },
    { x: 6, y: 1, category: "cat2" },
    { x: 7, y: 3, category: "cat3" },
    { x: 9, y: 1, category: "cat2" }
  ];
	
	const scaleX = scaleLinear().domain([0,10]).range([0,innerWidth])
	const scaleY = scaleLinear().domain([0,4.5]).range([innerHeight,0])
	const scaleC = scaleOrdinal().domain(extent(values.map((d)=>{return d[values.category]}))).range(schemeDark2)

	let radius = 7
	//Axis
</script>


<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    <!--  -->
		{#each values as datapoint}
      <circle cx={scaleX(datapoint.x)}
              cy={scaleY(datapoint.y)}
              r={radius}
							fill={scaleC(datapoint.category)}
               /> 
		  <line x1={scaleX(datapoint.x)} 
						y1={innerHeight} 
						x2={scaleX(datapoint.x)} 
						y2={scaleY(datapoint.y)+radius} />
		  <text class="valueLabel" x={scaleX(datapoint.x)} 
				    y={scaleY(datapoint.y)-2*radius}>{datapoint.y}</text>
  {/each}
  </g>
	<line x1={margin.left} y1={innerHeight + margin.top} x2={margin.left + innerWidth} y2={innerHeight + margin.top} />
	
</svg>

<style>
	 circle { 
      fill-opacity: 0.95;
  }
	line {
       stroke: black;
       stroke-width: 1;
  }
  text.valueLabel {
    text-anchor: middle;
    font-size: small;
  }
</style>
